> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crunchbase/db/search

> Search Crunchbase companies in dataset (fast)

**Price:** 1 credit per 1 results

**💡 AI Hint:** Search Crunchbase companies from dataset by filters.



## OpenAPI

````yaml /openapi-filtered.json post /api/crunchbase/db/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crunchbase/db/search:
    post:
      tags:
        - Crunchbase
      summary: /crunchbase/db/search
      description: |-
        Search Crunchbase companies in dataset (fast)

        **Price:** 1 credit per 1 results

        **💡 AI Hint:** Search Crunchbase companies from dataset by filters.
      operationId: __api_crunchbase_db_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrunchbaseDatasetSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CrunchbaseCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrunchbaseDatasetSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        keywords:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          description: 'Description keywords. Example: ''FinTech'' or [''RegTech'', ''FinTech'']'
          default: []
          examples:
            - FinTech
        location:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          description: 'HQ locations. Example: ''Boston'' or [''San Francisco'', ''Boston'']'
          default: []
          examples:
            - San Francisco
        industry:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          description: 'Industries. Example: ''SaaS'' or [''SaaS'', ''Cloud Computing'']'
          default: []
          examples:
            - SaaS
        employee_count_min:
          anyOf:
            - type: integer
              enum:
                - 1
                - 11
                - 51
                - 101
                - 251
                - 501
                - 1001
                - 5001
                - 10001
            - type: 'null'
          description: >-
            Min employee count. Allowed: 1, 11, 51, 101, 251, 501, 1001, 5001,
            10001
          examples:
            - 11
        employee_count_max:
          anyOf:
            - type: integer
              enum:
                - 10
                - 50
                - 100
                - 250
                - 500
                - 1000
                - 5000
                - 10000
                - 10001
            - type: 'null'
          description: >-
            Max employee count. Allowed: 10, 50, 100, 250, 500, 1000, 5000,
            10000, 10001
          examples:
            - 500
        founded_after:
          anyOf:
            - type: integer
            - type: 'null'
          description: 'Founded after date as Unix timestamp. Example: 1577836800'
          examples:
            - 1577836800
        founded_before:
          anyOf:
            - type: integer
            - type: 'null'
          description: 'Founded before date as Unix timestamp. Example: 1703980800'
          examples:
            - 1703980800
        last_funding_date_after:
          anyOf:
            - type: integer
            - type: 'null'
          description: 'Last funding date after as Unix timestamp. Example: 1672531200'
          examples:
            - 1672531200
        last_funding_date_before:
          anyOf:
            - type: integer
            - type: 'null'
          description: 'Last funding date before as Unix timestamp. Example: 1735603200'
          examples:
            - 1735603200
        last_funding_type:
          anyOf:
            - items:
                type: string
                enum:
                  - pre_seed
                  - seed
                  - series_a
                  - series_b
                  - series_c
                  - series_d
                  - series_e
                  - series_f
                  - series_g
                  - series_h
                  - series_i
                  - series_j
                  - angel
                  - convertible_note
                  - corporate_round
                  - debt_financing
                  - equity_crowdfunding
                  - grant
                  - initial_coin_offering
                  - non_equity_assistance
                  - post_ipo_debt
                  - post_ipo_equity
                  - post_ipo_secondary
                  - private_equity
                  - product_crowdfunding
                  - secondary_market
                  - undisclosed
              type: array
              uniqueItems: true
            - type: string
              enum:
                - pre_seed
                - seed
                - series_a
                - series_b
                - series_c
                - series_d
                - series_e
                - series_f
                - series_g
                - series_h
                - series_i
                - series_j
                - angel
                - convertible_note
                - corporate_round
                - debt_financing
                - equity_crowdfunding
                - grant
                - initial_coin_offering
                - non_equity_assistance
                - post_ipo_debt
                - post_ipo_equity
                - post_ipo_secondary
                - private_equity
                - product_crowdfunding
                - secondary_market
                - undisclosed
          description: Last funding round type(s)
          default: []
          examples:
            - series_a
        funding_total_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: 'Min total funding raised in USD. Example: 5000000'
          examples:
            - 5000000
        funding_total_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: 'Max total funding raised in USD. Example: 200000000'
          examples:
            - 200000000
        investors:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          description: >-
            Investor names. Example: 'Sequoia Capital' or ['Sequoia Capital',
            'Andreessen Horowitz']
          default: []
          examples:
            - Sequoia Capital
        count:
          type: integer
          maximum: 100
          exclusiveMinimum: 0
          description: Max result count
      type: object
      required:
        - count
    CrunchbaseCompany:
      properties:
        '@type':
          type: string
          default: CrunchbaseCompany
        id:
          type: string
          format: uuid
        name:
          type: string
        alias:
          type: string
        url:
          type: string
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
        short_description:
          type: string
        description:
          type: string
        legal_name:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        founded_on:
          anyOf:
            - type: string
            - type: 'null'
        operating_status:
          anyOf:
            - type: string
            - type: 'null'
        company_type:
          anyOf:
            - type: string
            - type: 'null'
        ipo_status:
          anyOf:
            - type: string
            - type: 'null'
        employee_count_range:
          anyOf:
            - type: string
            - type: 'null'
        revenue_range:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        location:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseLocation'
            - type: 'null'
        contacts:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseContacts'
            - type: 'null'
        funding:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseFunding'
            - type: 'null'
        metrics:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseMetrics'
            - type: 'null'
        ipo:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseIPO'
            - type: 'null'
        patents:
          anyOf:
            - $ref: '#/components/schemas/CrunchbasePatents'
            - type: 'null'
        acquired_by:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseAcquiredBy'
            - type: 'null'
        related:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseRelated'
            - type: 'null'
        leadership_hires:
          items:
            $ref: '#/components/schemas/CrunchbaseLeadershipHire'
          type: array
          default: []
        siftery_products:
          items:
            $ref: '#/components/schemas/CrunchbaseSifteryProduct'
          type: array
          default: []
        bombora_surges:
          items:
            $ref: '#/components/schemas/CrunchbaseBomboraSurge'
          type: array
          default: []
        apptopia:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseApptopia'
            - type: 'null'
        predictions:
          anyOf:
            - $ref: '#/components/schemas/CrunchbasePredictions'
            - type: 'null'
        technologies:
          items:
            $ref: '#/components/schemas/CrunchbaseTechnology'
          type: array
          default: []
        employees:
          items:
            $ref: '#/components/schemas/CrunchbaseEmployee'
          type: array
          default: []
        investors:
          items:
            $ref: '#/components/schemas/CrunchbaseInvestor'
          type: array
          default: []
        products:
          items:
            $ref: '#/components/schemas/CrunchbaseProduct'
          type: array
          default: []
        acquisitions:
          items:
            $ref: '#/components/schemas/CrunchbaseAcquisition'
          type: array
          default: []
        funding_rounds:
          items:
            $ref: '#/components/schemas/CrunchbaseFundingRound'
          type: array
          default: []
        investments:
          items:
            $ref: '#/components/schemas/CrunchbaseInvestment'
          type: array
          default: []
        layoffs:
          items:
            $ref: '#/components/schemas/CrunchbaseLayoff'
          type: array
          default: []
        awards:
          items:
            $ref: '#/components/schemas/CrunchbaseAward'
          type: array
          default: []
        offices:
          items:
            $ref: '#/components/schemas/CrunchbaseOffice'
          type: array
          default: []
        news:
          items:
            $ref: '#/components/schemas/CrunchbaseNews'
          type: array
          default: []
      type: object
      required:
        - id
        - name
        - alias
        - url
        - short_description
        - description
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CrunchbaseLocation:
      properties:
        '@type':
          type: string
          default: CrunchbaseLocation
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        continent:
          anyOf:
            - type: string
            - type: 'null'
        groups:
          items:
            type: string
          type: array
          default: []
      type: object
    CrunchbaseContacts:
      properties:
        '@type':
          type: string
          default: CrunchbaseContacts
        email:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        facebook_url:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
        twitter_url:
          anyOf:
            - type: string
            - type: 'null'
        num_contacts:
          anyOf:
            - type: integer
            - type: 'null'
        num_contact_emails:
          anyOf:
            - type: integer
            - type: 'null'
        num_contact_phones:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    CrunchbaseFunding:
      properties:
        '@type':
          type: string
          default: CrunchbaseFunding
        stock_symbol:
          anyOf:
            - type: string
            - type: 'null'
        total_usd:
          anyOf:
            - type: integer
            - type: 'null'
        num_rounds:
          anyOf:
            - type: integer
            - type: 'null'
        last_type:
          anyOf:
            - type: string
            - type: 'null'
        last_at:
          anyOf:
            - type: string
            - type: 'null'
        num_investors:
          anyOf:
            - type: integer
            - type: 'null'
        num_lead_investors:
          anyOf:
            - type: integer
            - type: 'null'
        num_lead_investments:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    CrunchbaseMetrics:
      properties:
        '@type':
          type: string
          default: CrunchbaseMetrics
        cb_rank:
          anyOf:
            - type: integer
            - type: 'null'
        rank_delta:
          anyOf:
            - type: number
            - type: 'null'
        num_investments:
          anyOf:
            - type: integer
            - type: 'null'
        num_acquisitions:
          anyOf:
            - type: integer
            - type: 'null'
        num_exits:
          anyOf:
            - type: integer
            - type: 'null'
        num_current_positions:
          anyOf:
            - type: integer
            - type: 'null'
        num_sub_organizations:
          anyOf:
            - type: integer
            - type: 'null'
        num_current_advisor_positions:
          anyOf:
            - type: integer
            - type: 'null'
        heat_score:
          anyOf:
            - type: integer
            - type: 'null'
        heat_score_delta:
          anyOf:
            - type: integer
            - type: 'null'
        growth_score:
          anyOf:
            - type: integer
            - type: 'null'
        growth_score_delta:
          anyOf:
            - type: integer
            - type: 'null'
        semrush_global_rank:
          anyOf:
            - type: integer
            - type: 'null'
        semrush_visits_latest_month:
          anyOf:
            - type: integer
            - type: 'null'
        semrush_visits_mom_pct:
          anyOf:
            - type: number
            - type: 'null'
        semrush_bounce_rate:
          anyOf:
            - type: number
            - type: 'null'
        semrush_visit_duration:
          anyOf:
            - type: integer
            - type: 'null'
        semrush_visit_pageviews:
          anyOf:
            - type: number
            - type: 'null'
        builtwith_num_technologies:
          anyOf:
            - type: integer
            - type: 'null'
        siftery_num_products:
          anyOf:
            - type: integer
            - type: 'null'
        aberdeen_it_spend_usd:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    CrunchbaseIPO:
      properties:
        '@type':
          type: string
          default: CrunchbaseIPO
        went_public_on:
          anyOf:
            - type: string
            - type: 'null'
        share_price_usd:
          anyOf:
            - type: integer
            - type: 'null'
        amount_raised_usd:
          anyOf:
            - type: integer
            - type: 'null'
        valuation_usd:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    CrunchbasePatents:
      properties:
        '@type':
          type: string
          default: CrunchbasePatents
        num_patents_granted:
          anyOf:
            - type: integer
            - type: 'null'
        num_trademarks_registered:
          anyOf:
            - type: integer
            - type: 'null'
        popular_patent_category:
          anyOf:
            - type: string
            - type: 'null'
        popular_trademark_class:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CrunchbaseAcquiredBy:
      properties:
        '@type':
          type: string
          default: CrunchbaseAcquiredBy
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        announced_on:
          anyOf:
            - type: string
            - type: 'null'
        acquisition_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseRelated:
      properties:
        '@type':
          type: string
          default: CrunchbaseRelated
        aliases:
          items:
            type: string
          type: array
          default: []
        founders:
          items:
            type: string
          type: array
          default: []
        investors:
          items:
            type: string
          type: array
          default: []
        competitors:
          items:
            type: string
          type: array
          default: []
      type: object
    CrunchbaseLeadershipHire:
      properties:
        '@type':
          type: string
          default: CrunchbaseLeadershipHire
        date:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        press_title:
          anyOf:
            - type: string
            - type: 'null'
        press_url:
          anyOf:
            - type: string
            - type: 'null'
        press_publisher:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CrunchbaseSifteryProduct:
      properties:
        '@type':
          type: string
          default: CrunchbaseSifteryProduct
        name:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        num_customers:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseBomboraSurge:
      properties:
        '@type':
          type: string
          default: CrunchbaseBomboraSurge
        topic:
          type: string
        category:
          anyOf:
            - type: string
            - type: 'null'
        surge_score:
          anyOf:
            - type: integer
            - type: 'null'
        surge_wow_growth:
          anyOf:
            - type: number
            - type: 'null'
        weeks_surging:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - topic
    CrunchbaseApptopia:
      properties:
        '@type':
          type: string
          default: CrunchbaseApptopia
        total_apps:
          anyOf:
            - type: integer
            - type: 'null'
        total_downloads:
          anyOf:
            - type: integer
            - type: 'null'
        apps:
          items:
            $ref: '#/components/schemas/CrunchbaseApptopiaApp'
          type: array
          default: []
      type: object
    CrunchbasePredictions:
      properties:
        '@type':
          type: string
          default: CrunchbasePredictions
        growth_score:
          anyOf:
            - type: number
            - type: 'null'
        growth_tier:
          anyOf:
            - type: string
            - type: 'null'
        funding_score:
          anyOf:
            - type: number
            - type: 'null'
        funding_tier:
          anyOf:
            - type: string
            - type: 'null'
        acquisition_score:
          anyOf:
            - type: number
            - type: 'null'
        acquisition_tier:
          anyOf:
            - type: string
            - type: 'null'
        ipo_score:
          anyOf:
            - type: number
            - type: 'null'
        ipo_tier:
          anyOf:
            - type: string
            - type: 'null'
        ipo_media_sentiment:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CrunchbaseTechnology:
      properties:
        '@type':
          type: string
          default: CrunchbaseTechnology
        name:
          type: string
        categories:
          items:
            type: string
          type: array
          default: []
        num_companies_using:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseEmployee:
      properties:
        '@type':
          type: string
          default: CrunchbaseEmployee
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        started_on:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseInvestor:
      properties:
        '@type':
          type: string
          default: CrunchbaseInvestor
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        round:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseProduct:
      properties:
        '@type':
          type: string
          default: CrunchbaseProduct
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseAcquisition:
      properties:
        '@type':
          type: string
          default: CrunchbaseAcquisition
        name:
          type: string
        announced_on:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseFundingRound:
      properties:
        '@type':
          type: string
          default: CrunchbaseFundingRound
        name:
          type: string
        announced_on:
          anyOf:
            - type: string
            - type: 'null'
        investment_type:
          anyOf:
            - type: string
            - type: 'null'
        money_raised_usd:
          anyOf:
            - type: integer
            - type: 'null'
        num_investors:
          anyOf:
            - type: integer
            - type: 'null'
        lead_investors:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    CrunchbaseInvestment:
      properties:
        '@type':
          type: string
          default: CrunchbaseInvestment
        company:
          type: string
        round_name:
          anyOf:
            - type: string
            - type: 'null'
        announced_on:
          anyOf:
            - type: string
            - type: 'null'
        is_lead:
          type: boolean
          default: false
        money_raised_usd:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - company
    CrunchbaseLayoff:
      properties:
        '@type':
          type: string
          default: CrunchbaseLayoff
        date:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CrunchbaseAward:
      properties:
        '@type':
          type: string
          default: CrunchbaseAward
        name:
          type: string
        date:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CrunchbaseOffice:
      properties:
        '@type':
          type: string
          default: CrunchbaseOffice
        name:
          anyOf:
            - type: string
            - type: 'null'
        opening_date:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CrunchbaseNews:
      properties:
        '@type':
          type: string
          default: CrunchbaseNews
        url:
          anyOf:
            - type: string
            - type: 'null'
        publisher:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    CrunchbaseApptopiaApp:
      properties:
        '@type':
          type: string
          default: CrunchbaseApptopiaApp
        name:
          type: string
        stores:
          items:
            type: string
          type: array
          default: []
        monthly_downloads:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````